Debian Bug report logs - #435769
debian-installer: no checking for sufficient disk space

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: Frédéric Brière <fbriere@fbriere.net>

Date: Fri, 3 Aug 2007 02:51:02 UTC

Severity: normal

Tags: confirmed

Merged with 468481, 509186

Fix blocked by 130550: aptitude: Warn or act accordingly if low on free space.

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#435769; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Frédéric Brière <fbriere@fbriere.net>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frédéric Brière <fbriere@fbriere.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: no checking for sufficient disk space
Date: Thu, 02 Aug 2007 22:47:32 -0400
Package: debian-installer
Severity: normal

d-i does not appear to make sure that the partitioning scheme it has
been given allows for sufficient space.  This was made painfully obvious
when I screwed up and allocated 15 MiB to /+/usr+/var (instead of
15 GiB, silly me) and d-i gleefully proceeded to choke on this.

For the curious, this results in a lot of misleading "/pool/.../foo.deb
is corrupt" messages, which lead me to suspect I had a bad CD.  (That
message in itself is a bug IMO, but I'm not sure if it's worth opening
another just for that.)


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-1-k7 (SMP w/1 CPU core)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#435769; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 435769@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Frédéric Brière <fbriere@fbriere.net>, 435769@bugs.debian.org
Subject: Re: Bug#435769: debian-installer: no checking for sufficient disk space
Date: Fri, 3 Aug 2007 07:55:47 +0200
[Message part 1 (text/plain, inline)]
Quoting Frédéric Brière (fbriere@fbriere.net):
> Package: debian-installer
> Severity: normal
> 
> d-i does not appear to make sure that the partitioning scheme it has
> been given allows for sufficient space.  This was made painfully obvious


Hmm, that would require knowing what exactly the user wants to
install..

Indeed, at least checking that the base system will fit before running
base-installer would be something to do. However, there is currently
no way to really know what the size of a Debian base system is because
it depends on what packages are part of it.

We could however have some hardcoded value somewhere for /, /usr and
/var and have partman choke if one of these is below this value. But,
even this is not that trivial to implement.

This, that bug could be reassigned to some partman-* package.


For something that warns users that the partitioning scheme does not
fit the choice of packages, see #282155 which no-one has been able to
implement (here again, the size of an installed system depend on the
user's choices).



[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#435769; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 435769@bugs.debian.org (full text, mbox):

From: Didier Raboud <didier@raboud.com>
To: Christian Perrier <bubulle@debian.org>
Cc: Frédéric Brière <fbriere@fbriere.net>, 435769@bugs.debian.org, 435769-subscribe@bugs.debian.org
Subject: Re: Bug#435769: debian-installer: no checking for sufficient disk space
Date: Tue, 10 Jun 2008 18:14:13 +0200
[Message part 1 (text/plain, inline)]
Le vendredi 3 août 2007 07:55:47 Christian Perrier, vous avez écrit :
> Quoting Frédéric Brière (fbriere@fbriere.net):
> > Package: debian-installer
> > Severity: normal
> >
> > d-i does not appear to make sure that the partitioning scheme it has
> > been given allows for sufficient space.  This was made painfully obvious
>
> Hmm, that would require knowing what exactly the user wants to
> install..
>
> Indeed, at least checking that the base system will fit before running
> base-installer would be something to do. However, there is currently
> no way to really know what the size of a Debian base system is because
> it depends on what packages are part of it.
>
> We could however have some hardcoded value somewhere for /, /usr and
> /var and have partman choke if one of these is below this value. But,
> even this is not that trivial to implement.
>
> This, that bug could be reassigned to some partman-* package.
>
>
> For something that warns users that the partitioning scheme does not
> fit the choice of packages, see #282155 which no-one has been able to
> implement (here again, the size of an installed system depend on the
> user's choices).

Hi, 

I'm reacting on this bug because I thought that the latest installer had many 
other issues because of this bug:

I tried to install Lenny Beta2 amd64 KDE within KVM, providing an disk image 
of 2G. The installer failed to complete the install of the packages because 
of lacking space (but did not mention anything to me).

I see two problems here:

* Not checking that enough disk space is available
* Not mentioning the user that he lacks space.

The second can rather easily be correcting by mentioning the fact after the 
error triggers (just check df). With that in hands, the user can know that 
the partitioning scheme he has chosen (or the virtual image he provided) is 
not good.

For the moment, the message is just "there is an error", which is not 
sufficient to me.

Regards, 

Didier

-- 
Didier Raboud, proud Debian user.
CH-1802 Corseaux
didier@raboud.com
[signature.asc (application/pgp-signature, inline)]

Merged 435769 468481. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Fri, 10 Sep 2010 18:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#435769; Package debian-installer. (Sun, 02 Jan 2011 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephane Ascoet <Stephane.Ascoet@ac-orleans-tours.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 02 Jan 2011 23:57:03 GMT) Full text and rfc822 format available.

Message #22 received at 435769@bugs.debian.org (full text, mbox):

From: Stephane Ascoet <Stephane.Ascoet@ac-orleans-tours.fr>
To: 435769@bugs.debian.org
Subject: Doing aptitude clean
Date: Sun, 02 Jan 2011 12:02:43 +0100
I fully agree with Didier's comment. Same thing just happened to me with Lenny
installer. I suggest that the installer should do "aptitude clean" when
available space becomes low.






Forcibly Merged 435769 468481 509186. Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Mon, 24 Jan 2011 15:03:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 435769: 130550 Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Mon, 24 Jan 2011 15:03:11 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Fri, 30 Aug 2013 15:15:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:53:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.